Bug 755703 - on Monitoring>Tables view, clicking Get Live Value button for a per-minute metric, returns the value of the corresponding raw trendsup metric
on Monitoring>Tables view, clicking Get Live Value button for a per-minute me...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: jon30-bugs rhq-uxd jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2011-11-21 15:03 EST by Ian Springer
Modified: 2013-09-03 11:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-11-21 15:03:31 EST
It should instead return the derived per-minute value.

Note, the per-minute value is calculated by the plugin container based on the last two collected values and the time between them. We may need to tweak this code to be tolerant of live/user-requested collections, which could occur 1 or 2 seconds apart...
Comment 1 John Sanda 2012-03-05 12:07:41 EST
I have committed and pushed a fix to master. Changes were required on both the server and on the agent side. On the server side, MeasurementDataManagerBean.findLiveData had to be refactored to pass the schedule ids to the agent. We have to pass the schedule ids because per-minute metrics are calculated using cached, previously collected values. Those values are keyed off of the schedule id. On the agent side, MeasurementManager.getRealTimeMeasurementValue was refactored to calculate per-minute values for TRENDSUP/TRENDSDOWN metrics.

commit hash: 5dd42bad3a234981bfd05bbdeacb451e79963234

MeasurementDataManagerBean.findLiveData is part of the remote APIs, and these changes do not effect backwards compatibility since it is an implementation change only; however, I wanted to point this out because it should probably be tested as part of the verification for this bug.

For testing, you can use metrics for an RHQ server. Make sure the "Transactions Committed" and the "Transactions Committed per Minute" metrics are both enabled. If you select Transactions Committed (on the Tables sub tab) and repeatedly click the Get Live Value button, the value displayed should continually increase since this is a TRENDSUP metric. But when you select Transactions Committed per Minute and click the Get Live Value button, the displayed value should be less than the the value for Transactions Committed.
Comment 2 Mike Foley 2012-03-22 10:34:46 EDT
verified
Comment 4 Heiko W. Rupp 2013-09-03 11:13:30 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.